<?php

namespace app\admin\model;

use support\Model;

class LifeFarmLandOrderDetail extends Model
{

    const UPDATED_AT = 'detail_update_time';
    /**
     * 权益包
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'life_farm_land_order_detail';

    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'detail_id';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    protected $dateFormat = 'U';

    //时间格式
    public function getDetailCreateTimeAttribute($value)
    {
        return date('Y-m-d H:i:s', $value);
    }
}
