<?php

namespace app\admin\model;

use support\Model;

/**
 * 配置内容表模型
 * Class SystemConfigClassify
 * @package app\api\model
 */
class SystemConfigValue extends Model
{
    const WAIT = '0';
    const DONE = '1';
    const MEMBER_AUTH_STATUS = [
        self::WAIT => '否',
        self::DONE => '是',
    ];
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'system_config_value';

    public $timestamps = false;
}
