<?php

namespace app\admin\model;

use support\Db;
use support\Model;

/**
 * 用户固定资产模型
 * Class Users
 * @package app\admin\model
 */
class UserProperty extends Model
{

    const IS_DEL_YES = 1;
    const IS_DEL_NO  = 0;
    const PROPERTY_DEL = [
        self::IS_DEL_YES => '已删除',
        self::IS_DEL_NO  => '未删除'
    ];

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'user_house_property';

    public $timestamps = false;

}
