<?php
namespace app\admin\validate\life;

use think\Validate;

class MoldValidate extends Validate
{
    protected $rule =   [
        'mold_name'  => 'require|max:20',
        'mold_id'    => 'require',
        'mold_mold' => 'require',
    ];

    protected $message  =   [
        'mold_id.require' => '类型ID不能为空',
        'mold_name.require' => '类型名称不能为空',
    ];

    //场景
    protected $scene = [
        'create'   => ['mold_name'],
        'update'   => ['mold_id','mold_name'],
        'info'     => ['mold_id']
    ];
}
